<template>
  <div class="q-pa-md q-gutter-sm">
    <div><h4>{{ $t("consent.consentReminder") }}</h4>
      <q-btn
        flat
        label="Confirm consent"
        color="purple-highlight"
        @click="warning = true"
      />
    </div>
    <q-dialog v-model="warning" persistent>
      <q-card>
        <q-card-section>
          <h4>{{ $t("consent.contentWarning") }}</h4>
          <q-space />

          <div class=buttons>
            <q-btn
              type="submit"
              label="OK"
              color="purple-highlight"
              @click="acceptConsent"
              v-close-popup
            />
            <q-btn
              icon="close"
              dense
              flat
              v-close-popup
            />
          </div>
        </q-card-section>
      </q-card>
    </q-dialog>

  </div>
</template>

<script>

export default {
  data () {
    return {
      warning: true,
    }
  },
  methods: {
    acceptConsent () {
      this.$store.dispatch('searchSettings/acceptConsent')
    }
  }
}
</script>

<style scoped lang="scss">

.buttons {
  display: grid;
  grid-template-columns: auto auto;
}
</style>
